> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Get list of options for the field identified by reference_key

GET https://{tenant}.atomicwork.com/api/v1/forms/{entity_type}/{reference_key}/options

Reference: https://developer-test.atomicwork.com/atomicwork-public-api/forms/getapi-v-1-forms-entity-type-reference-key-options

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/forms/{entity_type}/{reference_key}/options:
    get:
      operationId: getapi-v-1-forms-entity-type-reference-key-options
      summary: Get list of options for the field identified by reference_key
      tags:
        - subpackage_forms
      parameters:
        - name: entity_type
          in: path
          description: ''
          required: true
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersEntityType
        - name: reference_key
          in: path
          description: >-
            The reference key of a dropdown, multi dropdown, nested dropdown
            field
          required: true
          schema:
            type: string
        - name: workspace_id
          in: query
          description: The workspace id
          required: false
          schema:
            type: integer
            format: int64
        - name: request_sub_type
          in: query
          description: ''
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersRequestSubType
        - name: request_id
          in: query
          description: The request display ID
          required: false
          schema:
            type: string
        - name: entity_id
          in: query
          description: The service item id in case entity_type is SERVICE_ITEM
          required: false
          schema:
            type: integer
            format: int64
        - name: parent_option_id
          in: query
          description: ''
          required: false
          schema:
            type: integer
            format: int64
        - name: search_key
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: selected_option_ids
          in: query
          description: ''
          required: false
          schema:
            type: array
            items:
              type: integer
              format: int64
        - name: page
          in: query
          description: ''
          required: true
          schema:
            type: integer
            default: 1
        - name: per_page
          in: query
          description: ''
          required: false
          schema:
            type: integer
            default: 25
        - name: view
          in: query
          description: ''
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersView
        - name: is_flattened_nested_field_required
          in: query
          description: ''
          required: false
          schema:
            type: boolean
            default: false
        - name: include_any
          in: query
          description: ''
          required: false
          schema:
            type: boolean
            default: false
        - name: is_value_required_as_id
          in: query
          description: ''
          required: false
          schema:
            type: boolean
            default: false
        - name: field_entity_source
          in: query
          description: ''
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersFieldEntitySource
        - name: external_field_type
          in: query
          description: ''
          required: false
          schema:
            $ref: >-
              #/components/schemas/ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersExternalFieldType
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Forms_getapi_v1_forms__entity_type___reference_key__options_Response_200
servers:
  - url: https://{tenant}.atomicwork.com
components:
  schemas:
    ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersEntityType:
      type: string
      enum:
        - REQUEST
        - SERVICE_REQUEST
        - QUESTION_REQUEST
        - INCIDENT_REQUEST
        - INCIDENT
        - PROBLEM_REQUEST
        - PROBLEM
        - USER
        - SERVICE_ITEM
        - CUSTOM_FORM
        - SURVEY
        - ASSET
        - CHANGE
        - CHANGE_TEMPLATE
        - CUSTOM_OBJECT
      title: ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersEntityType
    ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersRequestSubType:
      type: string
      enum:
        - REQUEST
        - INCIDENT
        - SERVICE_REQUEST
        - PROBLEM
        - CHANGE
        - MAJOR_INCIDENT
      title: ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersRequestSubType
    ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersView:
      type: string
      enum:
        - HOME
        - WORKFLOW
        - JOURNEY
        - LIST
        - INSIGHTS
        - CUSTOM_SLA
        - ASSET_LIST
        - RELATIONSHIP_ATTRIBUTE
        - SCHEDULE_WORKFLOW
        - SEARCH
        - NOTIFICATIONS
        - ASSET_RELATIONSHIPS
        - USER_SEGMENTS
        - MULTI_SOURCE_SYNC
        - MAJOR_INCIDENT_CREATE
      title: ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersView
    ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersFieldEntitySource:
      type: string
      enum:
        - JSM
        - SERVICE_NOW
        - INTERNAL
      title: ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersFieldEntitySource
    ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersExternalFieldType:
      type: string
      enum:
        - USER
        - PROFORMA
      description: JSM (Jira Service Management) field type identifier
      title: ApiV1FormsEntityTypeReferenceKeyOptionsGetParametersExternalFieldType
    Forms_getapi_v1_forms__entity_type___reference_key__options_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Forms_getapi_v1_forms__entity_type___reference_key__options_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## SDK Code Examples

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options"

querystring = {"request_sub_type":"SERVICE_REQUEST","page":"1","view":"HOME","field_entity_source":"JSM","external_field_type":"USER","workspace_id":"987654321","request_id":"REQ-20240615-00123","entity_id":"456789","parent_option_id":"12","search_key":"high","selected_option_ids":"[1,3,5]","per_page":"50","is_flattened_nested_field_required":"true","include_any":"false","is_value_required_as_id":"true"}

payload = {}
headers = {
    "X-Workspace-Id": "987654321",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true';
const options = {
  method: 'GET',
  headers: {
    'X-Workspace-Id': '987654321',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("X-Workspace-Id", "987654321")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Workspace-Id"] = '987654321'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true")
  .header("X-Workspace-Id", "987654321")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '987654321',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Workspace-Id", "987654321");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "987654321",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/forms/REQUEST/priority_level/options?request_sub_type=SERVICE_REQUEST&page=1&view=HOME&field_entity_source=JSM&external_field_type=USER&workspace_id=987654321&request_id=REQ-20240615-00123&entity_id=456789&parent_option_id=12&search_key=high&selected_option_ids=%5B1%2C3%2C5%5D&per_page=50&is_flattened_nested_field_required=true&include_any=false&is_value_required_as_id=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```